Subject: bug#72210: 31.0.50; Feature request: multi-category support in `icomplete-fido-kill'

From: João Távora <[email-masked]>
Date: Fri, 11 Apr 2025 08:35:40 +0100

Stefan Monnier <[email-masked]> writes:

>> The other is the confirmation prompt, which feels like it should be
>> implemented once and for all outside of the generic function.
>
> OK, the solution below is not perfect, but I think it's good enough for now.
>
> Any objection to the patch below?

Looks fine to me, don't I don't see what it gains us/you in practice.
Maybe there are some out-of-band implementations for
icomplete-kill-candidate out there (I haven't read the rest of the
issue).

Anyway, as a micro-nit, the docstring of the generic should use a more
assertive description of the protocol: "Return non-nil" instead of
"Should return non nil".

João